Bug 800485 - Next sync status moves to Unknown state [RHUI Upgrade]
Next sync status moves to Unknown state [RHUI Upgrade]
Status: CLOSED CURRENTRELEASE
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: RHUA (Show other bugs)
2.0.2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jay Dobies
wes hayutin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 09:49 EST by Kedar Bidarkar
Modified: 2017-08-14 08:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-12 15:40:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kedar Bidarkar 2012-03-06 09:49:35 EST
Description of problem:

------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Repository Synchronization Status =-

Last Refreshed: 14:13:55
(updated every 5 seconds, ctrl+c to exit)

Next Sync                    Last Sync                    Last Result         
------------------------------------------------------------------------------
Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-x86_64)
Unknown                      Never                        Never       

Red Hat Enterprise Linux 6 Server (Source RPMs) from RHUI (6Server-x86_64)
Unknown                      Never                        Error      

Red Hat Enterprise Linux 6 Server - Supplementary (RPMs) from RHUI (6Server-x86_64)
Unknown                      Never                        Never       

Red Hat Update Infrastructure 2.0 (RPMs) (6Server-x86_64)
Unknown                      03-06-2012 11:00             Success    


                                     Connected: scalpel.lab.eng.pnq.redhat.com
------------------------------------------------------------------------------



-= CDS Synchronization Status =-

Last Refreshed: 14:17:42
(updated every 5 seconds, ctrl+c to exit)


CDS1_201_220 ................................................ [  UP  ]
CDS2_201_127 ................................................ [  UP  ]


Next Sync                    Last Sync                    Last Result         
------------------------------------------------------------------------------
CDS1_201_220
Unknown                      03-06-2012 11:11             Success    

CDS2_201_127
Unknown                      03-06-2012 11:11             Success    


                                     Connected: scalpel.lab.eng.pnq.redhat.com




Version-Release number of selected component (if applicable):

After upgrading from RHUI2.0.1 to RHEL-6.2-RHUI-2.0.2-20120305.0-Server-x86_64-DVD1.iso

How reproducible:
On upgrade

Steps to Reproduce:
1.
2.
3.
  
Actual results:
The Next sync moves to Unknown state after upgrade for repo syncs as well as CDS syncs

Expected results:
The Next sync shouldn't be moving to Unknown state and also sr/sc option
should allow to manually trigger sync for the previously added repos to 
RHUI upgrade

Additional info:
Comment 1 James Slagle 2012-03-06 14:50:21 EST
There was a missing db migration that was needed when the "weight" keyword was added to the task snapshots in the db.

jconnor added the missing migration in the pulp rhui branch:
45f5f5dd50417b19cab03a2abf1cc74625ccf702
Comment 2 James Slagle 2012-03-06 17:21:25 EST
Included in new build:
http://download.lab.bos.redhat.com/devel/candidates/RHEL-6.2-RHUI-2.0.2-20120306.1/2.0.2/Server/x86_64/iso/RHEL-6.2-RHUI-2.0.2-20120306.1-Server-x86_64-DVD1.iso

The yum repo has also been updated so you can test upgrades.
Comment 3 Kedar Bidarkar 2012-03-07 08:43:52 EST
------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Repository Synchronization Status =-

Last Refreshed: 13:10:42
(updated every 5 seconds, ctrl+c to exit)

Next Sync                    Last Sync                    Last Result         
------------------------------------------------------------------------------
Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-x86_64)
In Progress                  Never                        Never       

Red Hat Update Infrastructure 2.0 (RPMs) (6Server-x86_64)
03-07-2012 13:17             03-07-2012 07:20             Success    

Red Hat Update Infrastructure 2.0 (Source RPMs) (6Server-x86_64)
03-07-2012 14:50             03-07-2012 09:00             Success    


                                     Connected: scalpel.lab.eng.pnq.redhat.com
------------------------------------------------------------------------------

rhui (sync) => dc



------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= CDS Synchronization Status =-

Last Refreshed: 09:09:54
(updated every 5 seconds, ctrl+c to exit)


CDS1_201_220 ................................................ [  UP  ]
CDS2_201_127 ................................................ [  UP  ]


Next Sync                    Last Sync                    Last Result         
------------------------------------------------------------------------------
CDS1_201_220
03-07-2012 13:18             03-07-2012 07:30             Success    

CDS2_201_127
03-07-2012 13:22             03-07-2012 07:30             Success    


                                     Connected: scalpel.lab.eng.pnq.redhat.com
------------------------------------------------------------------------------
Comment 4 James Slagle 2012-03-12 15:40:18 EDT
Released in RHUI 2.0.2

Note You need to log in before you can comment on or make changes to this bug.